XmLGridGetSelectedColumns(3X)

NAME
XmLGridGetSelectedColumns - retrieve positions of currently selected columns

SYNTAX
int XmLGridGetSelectedColumns(widget, positions, count)
Widget widget;
int *positions;
int count;

ARGUMENTS

widget
    Grid widget ID

positions
    positions of content columns

count
    number of positions

DESCRIPTION
Returns the positions of the currently selected content columns. The count value passed to this function must equal the number of currently selected columns. The number of currently selected columns can be found by calling XmLGridGetSelectedColumnCount(). The column positions arrays must be allocated before calling this function and must have enough space to hold the positions which will be returned. This function does not allocate memory; it is the application's responsibility to allocate and deallocate the space used to hold the column positions.

RETURN VALUE
0 is returned upon successful completion. A value of -1 is returned and an error message is generated if count does not equal the number of currently selected columns.

SEE ALSO
XmLGridGetSelectedColumnCount(3X)